#!/usr/bin/perl -w
#########################################################################
#
# Serz Minus (Sergey Lepenkov), <abalama@cpan.org>
#
# Copyright (C) 1998-2020 D&D Corporation. All Rights Reserved
#
# This is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.
#
# $Id: 04-proc-net.t 96 2020-09-27 22:07:38Z abalama $
#
#########################################################################
use Test::More tests => 1;
use VISD::SysInfo;

use constant DEBUG => 0;

#
# Get TCP & UDP
#

# /proc/net/tcp & /proc/net/udp
{
    my @tcp_udp = (get_net_tcp(), get_net_udp());
    ok(@tcp_udp, '/proc/net/tcp*, /proc/net/udp*') && _note(explain([@tcp_udp]));
}

sub _note {
    return 1 unless DEBUG;
    note(@_);
}

1;

__END__
